## WDS Start Network request WDS Start Network request |

## Functions

QmiMessageWdsStartNetworkInput * | qmi_message_wds_start_network_input_new ()
QmiMessageWdsStartNetworkInput * | qmi_message_wds_start_network_input_ref ()
void | qmi_message_wds_start_network_input_unref ()
gboolean | qmi_message_wds_start_network_input_get_call_type ()
gboolean | qmi_message_wds_start_network_input_set_call_type ()
gboolean | qmi_message_wds_start_network_input_get_extended_technology_preference ()
gboolean | qmi_message_wds_start_network_input_set_extended_technology_preference ()
gboolean | qmi_message_wds_start_network_input_get_enable_autoconnect ()
gboolean | qmi_message_wds_start_network_input_set_enable_autoconnect ()
gboolean | qmi_message_wds_start_network_input_get_profile_index_3gpp2 ()
gboolean | qmi_message_wds_start_network_input_set_profile_index_3gpp2 ()
gboolean | qmi_message_wds_start_network_input_get_profile_index_3gpp ()
gboolean | qmi_message_wds_start_network_input_set_profile_index_3gpp ()
gboolean | qmi_message_wds_start_network_input_get_technology_preference ()
gboolean | qmi_message_wds_start_network_input_set_technology_preference ()
gboolean | qmi_message_wds_start_network_input_get_ip_family_preference ()
gboolean | qmi_message_wds_start_network_input_set_ip_family_preference ()
gboolean | qmi_message_wds_start_network_input_get_password ()
gboolean | qmi_message_wds_start_network_input_set_password ()
gboolean | qmi_message_wds_start_network_input_get_username ()
gboolean | qmi_message_wds_start_network_input_set_username ()
gboolean | qmi_message_wds_start_network_input_get_authentication_preference ()
gboolean | qmi_message_wds_start_network_input_set_authentication_preference ()
gboolean | qmi_message_wds_start_network_input_get_ipv4_address_preference ()
gboolean | qmi_message_wds_start_network_input_set_ipv4_address_preference ()
gboolean | qmi_message_wds_start_network_input_get_apn ()
gboolean | qmi_message_wds_start_network_input_set_apn ()
gboolean | qmi_message_wds_start_network_input_get_secondary_nbns_address_preference ()
gboolean | qmi_message_wds_start_network_input_set_secondary_nbns_address_preference ()
gboolean | qmi_message_wds_start_network_input_get_primary_nbns_address_preference ()
gboolean | qmi_message_wds_start_network_input_set_primary_nbns_address_preference ()
gboolean | qmi_message_wds_start_network_input_get_secondary_dns_address_preference ()
gboolean | qmi_message_wds_start_network_input_set_secondary_dns_address_preference ()
gboolean | qmi_message_wds_start_network_input_get_primary_dns_address_preference ()
gboolean | qmi_message_wds_start_network_input_set_primary_dns_address_preference ()
QmiMessageWdsStartNetworkOutput * | qmi_message_wds_start_network_output_ref ()
void | qmi_message_wds_start_network_output_unref ()
gboolean | qmi_message_wds_start_network_output_get_result ()
gboolean | qmi_message_wds_start_network_output_get_packet_data_handle ()
gboolean | qmi_message_wds_start_network_output_get_call_end_reason ()
gboolean | qmi_message_wds_start_network_output_get_verbose_call_end_reason ()
void | qmi_client_wds_start_network ()
QmiMessageWdsStartNetworkOutput * | qmi_client_wds_start_network_finish ()

## Types and Values

| QmiMessageWdsStartNetworkInput
| QmiMessageWdsStartNetworkOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageWdsStartNetworkInput
        ╰── QmiMessageWdsStartNetworkOutput

## Description

## Functions

### qmi_message_wds_start_network_input_new ()

    QmiMessageWdsStartNetworkInput *
    qmi_message_wds_start_network_input_new
                                   (void);

Allocates a new QmiMessageWdsStartNetworkInput.

#### Returns

the newly created QmiMessageWdsStartNetworkInput. The returned value should be freed with `qmi_message_wds_start_network_input_unref()`.

Since: 1.0

### qmi_message_wds_start_network_input_ref ()

    QmiMessageWdsStartNetworkInput *
    qmi_message_wds_start_network_input_ref
                                   (QmiMessageWdsStartNetworkInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsStartNetworkInput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_wds_start_network_input_unref ()

    void
    qmi_message_wds_start_network_input_unref
                                   (QmiMessageWdsStartNetworkInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsStartNetworkInput. |

Since: 1.0

### qmi_message_wds_start_network_input_get_call_type ()

    gboolean
    qmi_message_wds_start_network_input_get_call_type
                                   (QmiMessageWdsStartNetworkInput *self,
                                    QmiWdsCallType *value_call_type,
                                    GError **error);

Get the 'Call Type' field from `self` .

#### Parameters

self | a QmiMessageWdsStartNetworkInput. |
value_call_type | a placeholder for the output QmiWdsCallType, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_start_network_input_set_call_type ()

    gboolean
    qmi_message_wds_start_network_input_set_call_type
                                   (QmiMessageWdsStartNetworkInput *self,
                                    QmiWdsCallType value_call_type,
                                    GError **error);

Set the 'Call Type' field in the message.

#### Parameters

self | a QmiMessageWdsStartNetworkInput. |
value_call_type | a QmiWdsCallType. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_start_network_input_get_extended_technology_preference ()

    gboolean
    qmi_message_wds_start_network_input_get_extended_technology_preference
                                   (QmiMessageWdsStartNetworkInput *self,
                                    QmiWdsExtendedTechnologyPreference *value_extended_technology_preference,
                                    GError **error);

Get the 'Extended Technology Preference' field from `self` .

#### Parameters

self | a QmiMessageWdsStartNetworkInput. |
value_extended_technology_preference | a placeholder for the output QmiWdsExtendedTechnologyPreference, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_start_network_input_set_extended_technology_preference ()

    gboolean
    qmi_message_wds_start_network_input_set_extended_technology_preference
                                   (QmiMessageWdsStartNetworkInput *self,
                                    QmiWdsExtendedTechnologyPreference value_extended_technology_preference,
                                    GError **error);

Set the 'Extended Technology Preference' field in the message.

#### Parameters

self | a QmiMessageWdsStartNetworkInput. |
value_extended_technology_preference | a QmiWdsExtendedTechnologyPreference. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_start_network_input_get_enable_autoconnect ()

    gboolean
    qmi_message_wds_start_network_input_get_enable_autoconnect
                                   (QmiMessageWdsStartNetworkInput *self,
                                    gboolean *value_enable_autoconnect,
                                    GError **error);

Get the 'Enable Autoconnect' field from `self` .

#### Parameters

self | a QmiMessageWdsStartNetworkInput. |
value_enable_autoconnect | a placeholder for the output gboolean, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_start_network_input_set_enable_autoconnect ()

    gboolean
    qmi_message_wds_start_network_input_set_enable_autoconnect
                                   (QmiMessageWdsStartNetworkInput *self,
                                    gboolean value_enable_autoconnect,
                                    GError **error);

Set the 'Enable Autoconnect' field in the message.

#### Parameters

self | a QmiMessageWdsStartNetworkInput. |
value_enable_autoconnect | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_start_network_input_get_profile_index_3gpp2 ()

    gboolean
    qmi_message_wds_start_network_input_get_profile_index_3gpp2
                                   (QmiMessageWdsStartNetworkInput *self,
                                    guint8 *value_profile_index_3gpp2,
                                    GError **error);

Get the 'Profile Index 3GPP2' field from `self` .

#### Parameters

self | a QmiMessageWdsStartNetworkInput. |
value_profile_index_3gpp2 | a placeholder for the output guint8, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_start_network_input_set_profile_index_3gpp2 ()

    gboolean
    qmi_message_wds_start_network_input_set_profile_index_3gpp2
                                   (QmiMessageWdsStartNetworkInput *self,
                                    guint8 value_profile_index_3gpp2,
                                    GError **error);

Set the 'Profile Index 3GPP2' field in the message.

#### Parameters

self | a QmiMessageWdsStartNetworkInput. |
value_profile_index_3gpp2 | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_start_network_input_get_profile_index_3gpp ()

    gboolean
    qmi_message_wds_start_network_input_get_profile_index_3gpp
                                   (QmiMessageWdsStartNetworkInput *self,
                                    guint8 *value_profile_index_3gpp,
                                    GError **error);

Get the 'Profile Index 3GPP' field from `self` .

#### Parameters

self | a QmiMessageWdsStartNetworkInput. |
value_profile_index_3gpp | a placeholder for the output guint8, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_start_network_input_set_profile_index_3gpp ()

    gboolean
    qmi_message_wds_start_network_input_set_profile_index_3gpp
                                   (QmiMessageWdsStartNetworkInput *self,
                                    guint8 value_profile_index_3gpp,
                                    GError **error);

Set the 'Profile Index 3GPP' field in the message.

#### Parameters

self | a QmiMessageWdsStartNetworkInput. |
value_profile_index_3gpp | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_start_network_input_get_technology_preference ()

    gboolean
    qmi_message_wds_start_network_input_get_technology_preference
                                   (QmiMessageWdsStartNetworkInput *self,
                                    QmiWdsTechnologyPreference *value_technology_preference,
                                    GError **error);

Get the 'Technology Preference' field from `self` .

#### Parameters

self | a QmiMessageWdsStartNetworkInput. |
value_technology_preference | a placeholder for the output QmiWdsTechnologyPreference, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_start_network_input_set_technology_preference ()

    gboolean
    qmi_message_wds_start_network_input_set_technology_preference
                                   (QmiMessageWdsStartNetworkInput *self,
                                    QmiWdsTechnologyPreference value_technology_preference,
                                    GError **error);

Set the 'Technology Preference' field in the message.

#### Parameters

self | a QmiMessageWdsStartNetworkInput. |
value_technology_preference | a QmiWdsTechnologyPreference. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_start_network_input_get_ip_family_preference ()

    gboolean
    qmi_message_wds_start_network_input_get_ip_family_preference
                                   (QmiMessageWdsStartNetworkInput *self,
                                    QmiWdsIpFamily *value_ip_family_preference,
                                    GError **error);

Get the 'IP Family Preference' field from `self` .

#### Parameters

self | a QmiMessageWdsStartNetworkInput. |
value_ip_family_preference | a placeholder for the output QmiWdsIpFamily, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_start_network_input_set_ip_family_preference ()

    gboolean
    qmi_message_wds_start_network_input_set_ip_family_preference
                                   (QmiMessageWdsStartNetworkInput *self,
                                    QmiWdsIpFamily value_ip_family_preference,
                                    GError **error);

Set the 'IP Family Preference' field in the message.

#### Parameters

self | a QmiMessageWdsStartNetworkInput. |
value_ip_family_preference | a QmiWdsIpFamily. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_start_network_input_get_password ()

    gboolean
    qmi_message_wds_start_network_input_get_password
                                   (QmiMessageWdsStartNetworkInput *self,
                                    const gchar **value_password,
                                    GError **error);

Get the 'Password' field from `self` .

#### Parameters

self | a QmiMessageWdsStartNetworkInput. |
value_password | a placeholder for the output constant string, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_start_network_input_set_password ()

    gboolean
    qmi_message_wds_start_network_input_set_password
                                   (QmiMessageWdsStartNetworkInput *self,
                                    const gchar *value_password,
                                    GError **error);

Set the 'Password' field in the message.

#### Parameters

self | a QmiMessageWdsStartNetworkInput. |
value_password | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_start_network_input_get_username ()

    gboolean
    qmi_message_wds_start_network_input_get_username
                                   (QmiMessageWdsStartNetworkInput *self,
                                    const gchar **value_username,
                                    GError **error);

Get the 'Username' field from `self` .

#### Parameters

self | a QmiMessageWdsStartNetworkInput. |
value_username | a placeholder for the output constant string, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_start_network_input_set_username ()

    gboolean
    qmi_message_wds_start_network_input_set_username
                                   (QmiMessageWdsStartNetworkInput *self,
                                    const gchar *value_username,
                                    GError **error);

Set the 'Username' field in the message.

#### Parameters

self | a QmiMessageWdsStartNetworkInput. |
value_username | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_start_network_input_get_authentication_preference ()

    gboolean
    qmi_message_wds_start_network_input_get_authentication_preference
                                   (QmiMessageWdsStartNetworkInput *self,
                                    QmiWdsAuthentication *value_authentication_preference,
                                    GError **error);

Get the 'Authentication Preference' field from `self` .

#### Parameters

self | a QmiMessageWdsStartNetworkInput. |
value_authentication_preference | a placeholder for the output QmiWdsAuthentication, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_start_network_input_set_authentication_preference ()

    gboolean
    qmi_message_wds_start_network_input_set_authentication_preference
                                   (QmiMessageWdsStartNetworkInput *self,
                                    QmiWdsAuthentication value_authentication_preference,
                                    GError **error);

Set the 'Authentication Preference' field in the message.

#### Parameters

self | a QmiMessageWdsStartNetworkInput. |
value_authentication_preference | a QmiWdsAuthentication. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_start_network_input_get_ipv4_address_preference ()

    gboolean
    qmi_message_wds_start_network_input_get_ipv4_address_preference
                                   (QmiMessageWdsStartNetworkInput *self,
                                    guint32 *value_ipv4_address_preference,
                                    GError **error);

Get the 'IPv4 Address Preference' field from `self` .

#### Parameters

self | a QmiMessageWdsStartNetworkInput. |
value_ipv4_address_preference | a placeholder for the output guint32, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_start_network_input_set_ipv4_address_preference ()

    gboolean
    qmi_message_wds_start_network_input_set_ipv4_address_preference
                                   (QmiMessageWdsStartNetworkInput *self,
                                    guint32 value_ipv4_address_preference,
                                    GError **error);

Set the 'IPv4 Address Preference' field in the message.

#### Parameters

self | a QmiMessageWdsStartNetworkInput. |
value_ipv4_address_preference | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_start_network_input_get_apn ()

    gboolean
    qmi_message_wds_start_network_input_get_apn
                                   (QmiMessageWdsStartNetworkInput *self,
                                    const gchar **value_apn,
                                    GError **error);

Get the 'APN' field from `self` .

#### Parameters

self | a QmiMessageWdsStartNetworkInput. |
value_apn | a placeholder for the output constant string, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_start_network_input_set_apn ()

    gboolean
    qmi_message_wds_start_network_input_set_apn
                                   (QmiMessageWdsStartNetworkInput *self,
                                    const gchar *value_apn,
                                    GError **error);

Set the 'APN' field in the message.

#### Parameters

self | a QmiMessageWdsStartNetworkInput. |
value_apn | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_start_network_input_get_secondary_nbns_address_preference ()

    gboolean
    qmi_message_wds_start_network_input_get_secondary_nbns_address_preference
                                   (QmiMessageWdsStartNetworkInput *self,
                                    guint32 *value_secondary_nbns_address_preference,
                                    GError **error);

Get the 'Secondary NBNS Address Preference' field from `self` .

#### Parameters

self | a QmiMessageWdsStartNetworkInput. |
value_secondary_nbns_address_preference | a placeholder for the output guint32, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_start_network_input_set_secondary_nbns_address_preference ()

    gboolean
    qmi_message_wds_start_network_input_set_secondary_nbns_address_preference
                                   (QmiMessageWdsStartNetworkInput *self,
                                    guint32 value_secondary_nbns_address_preference,
                                    GError **error);

Set the 'Secondary NBNS Address Preference' field in the message.

#### Parameters

self | a QmiMessageWdsStartNetworkInput. |
value_secondary_nbns_address_preference | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_start_network_input_get_primary_nbns_address_preference ()

    gboolean
    qmi_message_wds_start_network_input_get_primary_nbns_address_preference
                                   (QmiMessageWdsStartNetworkInput *self,
                                    guint32 *value_primary_nbns_address_preference,
                                    GError **error);

Get the 'Primary NBNS Address Preference' field from `self` .

#### Parameters

self | a QmiMessageWdsStartNetworkInput. |
value_primary_nbns_address_preference | a placeholder for the output guint32, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_start_network_input_set_primary_nbns_address_preference ()

    gboolean
    qmi_message_wds_start_network_input_set_primary_nbns_address_preference
                                   (QmiMessageWdsStartNetworkInput *self,
                                    guint32 value_primary_nbns_address_preference,
                                    GError **error);

Set the 'Primary NBNS Address Preference' field in the message.

#### Parameters

self | a QmiMessageWdsStartNetworkInput. |
value_primary_nbns_address_preference | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_start_network_input_get_secondary_dns_address_preference ()

    gboolean
    qmi_message_wds_start_network_input_get_secondary_dns_address_preference
                                   (QmiMessageWdsStartNetworkInput *self,
                                    guint32 *value_secondary_dns_address_preference,
                                    GError **error);

Get the 'Secondary DNS Address Preference' field from `self` .

#### Parameters

self | a QmiMessageWdsStartNetworkInput. |
value_secondary_dns_address_preference | a placeholder for the output guint32, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_start_network_input_set_secondary_dns_address_preference ()

    gboolean
    qmi_message_wds_start_network_input_set_secondary_dns_address_preference
                                   (QmiMessageWdsStartNetworkInput *self,
                                    guint32 value_secondary_dns_address_preference,
                                    GError **error);

Set the 'Secondary DNS Address Preference' field in the message.

#### Parameters

self | a QmiMessageWdsStartNetworkInput. |
value_secondary_dns_address_preference | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_start_network_input_get_primary_dns_address_preference ()

    gboolean
    qmi_message_wds_start_network_input_get_primary_dns_address_preference
                                   (QmiMessageWdsStartNetworkInput *self,
                                    guint32 *value_primary_dns_address_preference,
                                    GError **error);

Get the 'Primary DNS Address Preference' field from `self` .

#### Parameters

self | a QmiMessageWdsStartNetworkInput. |
value_primary_dns_address_preference | a placeholder for the output guint32, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_start_network_input_set_primary_dns_address_preference ()

    gboolean
    qmi_message_wds_start_network_input_set_primary_dns_address_preference
                                   (QmiMessageWdsStartNetworkInput *self,
                                    guint32 value_primary_dns_address_preference,
                                    GError **error);

Set the 'Primary DNS Address Preference' field in the message.

#### Parameters

self | a QmiMessageWdsStartNetworkInput. |
value_primary_dns_address_preference | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_start_network_output_ref ()

    QmiMessageWdsStartNetworkOutput *
    qmi_message_wds_start_network_output_ref
                                   (QmiMessageWdsStartNetworkOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsStartNetworkOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_wds_start_network_output_unref ()

    void
    qmi_message_wds_start_network_output_unref
                                   (QmiMessageWdsStartNetworkOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsStartNetworkOutput. |

Since: 1.0

### qmi_message_wds_start_network_output_get_result ()

    gboolean
    qmi_message_wds_start_network_output_get_result
                                   (QmiMessageWdsStartNetworkOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWdsStartNetworkOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.0

### qmi_message_wds_start_network_output_get_packet_data_handle ()

    gboolean
    qmi_message_wds_start_network_output_get_packet_data_handle
                                   (QmiMessageWdsStartNetworkOutput *self,
                                    guint32 *value_packet_data_handle,
                                    GError **error);

Get the 'Packet Data Handle' field from `self` .

#### Parameters

self | a QmiMessageWdsStartNetworkOutput. |
value_packet_data_handle | a placeholder for the output guint32, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_start_network_output_get_call_end_reason ()

    gboolean
    qmi_message_wds_start_network_output_get_call_end_reason
                                   (QmiMessageWdsStartNetworkOutput *self,
                                    QmiWdsCallEndReason *value_call_end_reason,
                                    GError **error);

Get the 'Call End Reason' field from `self` .

#### Parameters

self | a QmiMessageWdsStartNetworkOutput. |
value_call_end_reason | a placeholder for the output QmiWdsCallEndReason, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_start_network_output_get_verbose_call_end_reason ()

    gboolean
    qmi_message_wds_start_network_output_get_verbose_call_end_reason
                                   (QmiMessageWdsStartNetworkOutput *self,
                                    QmiWdsVerboseCallEndReasonType *value_verbose_call_end_reason_type,
                                    gint16 *value_verbose_call_end_reason_reason,
                                    GError **error);

Get the 'Verbose Call End Reason' field from `self` .

#### Parameters

self | a QmiMessageWdsStartNetworkOutput. |
value_verbose_call_end_reason_type | a placeholder for the output QmiWdsVerboseCallEndReasonType, or `NULL` if not required. | [out]
value_verbose_call_end_reason_reason | a placeholder for the output gint16, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_client_wds_start_network ()

    void
    qmi_client_wds_start_network (QmiClientWds *self,
                                  QmiMessageWdsStartNetworkInput *input,
                                  guint timeout,
                                  GCancellable *cancellable,
                                  GAsyncReadyCallback callback,
                                  gpointer user_data);

Asynchronously sends a Start Network request to the device.

This message is abortable. If `cancellable` is cancelled or if `timeout` expires, an abort request will be sent to the device, and the asynchronous operation will not return until the abort response is received. It is not an error if a successful response is returned for the asynchronous operation even after the user has cancelled the cancellable, because it may happen that the response is received before the modem had a chance to run the abort.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wds_start_network_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWds. |
input | a QmiMessageWdsStartNetworkInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_wds_start_network_finish ()

    QmiMessageWdsStartNetworkOutput *
    qmi_client_wds_start_network_finish (QmiClientWds *self,
                                         GAsyncResult *res,
                                         GError **error);

Finishes an async operation started with `qmi_client_wds_start_network()`.

#### Parameters

self | a QmiClientWds. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wds_start_network()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWdsStartNetworkOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wds_start_network_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageWdsStartNetworkInput

    typedef struct _QmiMessageWdsStartNetworkInput QmiMessageWdsStartNetworkInput;

The QmiMessageWdsStartNetworkInput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageWdsStartNetworkOutput

    typedef struct _QmiMessageWdsStartNetworkOutput QmiMessageWdsStartNetworkOutput;

The QmiMessageWdsStartNetworkOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0